Package com.io7m.montarre.cmdline.converters

# Class MArchitectureNameConverter

java.lang.Object
com.io7m.montarre.cmdline.converters.MArchitectureNameConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<MArchitectureName>`

public final class MArchitectureNameConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<MArchitectureName>
A value converter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MArchitectureNameConverter()`
  A value converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<MArchitectureName>`
  `convertedClass()`
  `MArchitectureName`
  `convertFromString(String text)`
  `String`
  `convertToString(MArchitectureName value)`
  `MArchitectureName`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MArchitectureNameConverter

    public MArchitectureNameConverter()
    A value converter.

- ## Method Details

  - ### convertFromString

    public MArchitectureName convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<MArchitectureName>`

  - ### convertToString

    public String convertToString(MArchitectureName value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<MArchitectureName>`

  - ### exampleValue

    public MArchitectureName exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<MArchitectureName>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<MArchitectureName>`

  - ### convertedClass

    public Class<MArchitectureName> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<MArchitectureName>`